Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin
Class DocWrapper

    java.lang.Object
      com.dbxml.db.admin.DocWrapper

public class DocWrapper
extends java.lang.Object

DocWrapper

Field Summary
`static int` | `TYPE_NODE`
`static int` | `TYPE_NONE`
`static int` | `TYPE_TEXT`

Constructor Summary
`DocWrapper(java.lang.Object obj, CollectionClient col, java.io.File file, java.lang.String name, boolean storable)`
`DocWrapper(java.lang.Object obj, CollectionClient col, java.io.File file, java.lang.String name, boolean storable, boolean guessLanguage)`
`DocWrapper(java.lang.Object obj, CollectionClient col, java.io.File file, java.lang.String name, boolean storable, java.lang.String language)`

Method Summary
`CollectionClient` | `getCollection()`
`org.w3c.dom.Document` | `getDocument()`
`int` | `getDocumentType()`
`java.io.File` | `getFile()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getName()`
`org.w3c.dom.Node` | `getNode()`
`java.lang.String` | `getText()`
`boolean` | `isStorable()`
`void` | `setCollection(CollectionClient col)`
`void` | `setDocument(org.w3c.dom.Document res)`
`void` | `setFile(java.io.File file)`
`void` | `setName(java.lang.String name)`
`void` | `setNode(org.w3c.dom.Node node)`
`void` | `setText(java.lang.String text)`
`boolean` | `store()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_NONE

    public static final int TYPE_NONE

See Also:
  Constant Field Values

### TYPE_NODE

    public static final int TYPE_NODE

See Also:
  Constant Field Values

### TYPE_TEXT

    public static final int TYPE_TEXT

See Also:
  Constant Field Values

Constructor Detail

### DocWrapper

    public DocWrapper(java.lang.Object obj,
                      CollectionClient col,
                      java.io.File file,
                      java.lang.String name,
                      boolean storable,
                      java.lang.String language)

### DocWrapper

    public DocWrapper(java.lang.Object obj,
                      CollectionClient col,
                      java.io.File file,
                      java.lang.String name,
                      boolean storable)

### DocWrapper

    public DocWrapper(java.lang.Object obj,
                      CollectionClient col,
                      java.io.File file,
                      java.lang.String name,
                      boolean storable,
                      boolean guessLanguage)

Method Detail

### getLocation

    public java.lang.String getLocation()

### setCollection

    public void setCollection(CollectionClient col)

### getCollection

    public CollectionClient getCollection()

### setFile

    public void setFile(java.io.File file)

### getFile

    public java.io.File getFile()

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### getLanguage

    public java.lang.String getLanguage()

### getDocumentType

    public int getDocumentType()

### setDocument

    public void setDocument(org.w3c.dom.Document res)

### setNode

    public void setNode(org.w3c.dom.Node node)

### setText

    public void setText(java.lang.String text)

### isStorable

    public boolean isStorable()

### store

    public boolean store()

### getDocument

    public org.w3c.dom.Document getDocument()

### getNode

    public org.w3c.dom.Node getNode()

### getText

    public java.lang.String getText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group